@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --fundo-principal: #1A1D21;
  --preto: #000000;
  --fundo-cartao: #23262B;
  --cor-primaria: #A8C9EC;
  --texto-cinza: #9A9895;
  --branco: #ffffff;
  --cor-sucesso: #2ECC71;
  --cor-erro: #D98A80; 
  --borda: #8080804c;
  --font: "Poppins", sans-serif;
}

body {
  font-family: var(--font);
  color: var(--branco);
  background-color: var(--fundo-principal);
}

.visivel {
  display: flex;
}

.invisivel {
  display: none;
}

/* MAIN */

.conteiner {
  height: 100vh;
  width: 100%;
  max-width: 730px;
  padding: 20px;
  margin: auto;
}

/* TOPO */

.card-title {
  display: flex;
  align-items: center;
  gap: 10px;
}

.icon-tarefa {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  background-color: var(--fundo-cartao);
  border-radius: 50%;
  padding: 15px;
}

.icon-tarefa i {
  color: var(--cor-primaria);
  font-size: 20px;
}

.title-info h1 {
  font-size: 25px;
}

.title-info p {
  color: var(--texto-cinza);
  font-size: 15px;
}

/* CENTRO */

.centro {
  display: flex;
  gap: 10px;
  margin-top: 30px;
}

#itarefa {
  width: 100%;
  height: 50px;
  border: 1px solid var(--borda);
  outline: none;
  background-color: var(--fundo-cartao);
  color: var(--branco);
  border-radius: 10px;
  padding: 10px;
  font-size: 17px;
}

#itarefa:focus {
  border: 2px solid var(--cor-primaria);
}

.bt-add-tarefa {
  width: 70px;
  background-color: var(--cor-primaria);
  border: none;
  border-radius: 10px;
  font-size: 30px;
}

/* AREAS */

.areas {
  margin-top: 20px;
  background-color: var(--fundo-cartao);
  width: fit-content;
  padding: 5px;
  border-radius: 20px;
  border: 1px solid var(--borda);
}

.areas button {
  background-color: transparent;
  border: none;
  color: var(--texto-cinza);
  padding: 5px;
  border-radius: 20px;
}

.areas button.ativo {
  color: var(--preto);
  background-color: var(--cor-primaria);
}

/* CONTEUDO */

.conteudos {
  background-color: var(--fundo-cartao);
  min-height: fit-content;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: stretch;
  margin-top: 10px;
  border-radius: 20px;
  padding: 10px;
}

.conteudo-todas {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.card-icon {
  border-radius: 50%;
  height: 25px;
  width: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.marcado {
  background-color: var(--cor-sucesso);
  display: flex;
  align-items: center;
  justify-content: center;
  height: 25px;
  width: 25px;
  border-radius: 50%;
}

.conteudo-pendentes {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.conteudo-concluido {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card-tarefa {
  display: flex;
  justify-content: space-between;
  width: 100%;
  background-color: var(--fundo-principal);
  border: 1px solid var(--borda);
  padding: 10px;
  margin-top: 5px;
  border-radius: 10px;
}

.tarefa {
  display: flex;
  gap: 7px;
}

.card-delete {
  background-color: transparent;
  border: none;
}

.card-delete i {
  font-size: 20px;
  color: var(--branco);
}

.card-delete i:hover {
  color: var(--cor-erro);
}

.conteudo {
  display: none;
  margin-top: 5px; 
}

.conteudo.show {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.icon-conteudo {
  background-color: var(--cor-sucesso);
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.info-one {
  font-size: 14px;
}

.fa-circle, .fa-circle-check {
  font-size: 25px;
}

.info-two {
  color: var(--texto-cinza);
  text-align: center;
  font-size: 14px;
}

.dica {
  margin-top: 10px;
  text-align: center;
  font-size: 13px;
}

.erro {
  color: #ff4d4d;
}


@media screen and (min-width: 651px) {
  .bt-add-tarefa {
    width: 100px;
  }

  .info-one {
    font-size: 17px;
  }

  .info-two {
    font-size: 15px;
  }

  .dica {
    font-size: 15px;
  }

  .areas button {
    font-size: 17px;
  }
  
  button:hover {
    cursor: pointer;
  }
}